Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.processor
Interface MessageRouter

All Superinterfaces:
  MessageProcessor

All Known Subinterfaces:
  MatchableMessageRouter, OutboundRouter

All Known Implementing Classes:
  AbstractMessageSplitter, AbstractOutboundRouter, AbstractRecipientList, AbstractRoundRobinMessageSplitter, ChainingRouter, ContentBasedRouter, EndpointSelector, ExceptionBasedRouter, ExpressionMessageSplitter, ExpressionRecipientList, FilterBasedXmlMessageSplitter, FilteringOutboundRouter, ListMessageSplitter, MessageChunkingRouter, MulticastingRouter, OutboundPassThroughRouter, StaticRecipientList, SxcFilteringOutboundRouter, TransformerRouter, XmlMessageSplitter

    public interface MessageRouter

extends MessageProcessor

A `MessageProcessor` that routes messages to zero or more destination message processors. Implementations determine exactly how this is done by making decisions about which route(s) should be used and if the message should be copied or not.

Method Summary
`void` | `addRoute(MessageProcessor processor)` Adds a new message processor to the list of routes
`void` | `removeRoute(MessageProcessor processor)` Removes a message processor from the list of routes

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Method Detail

### addRoute

    void addRoute(MessageProcessor processor)

  Adds a new message processor to the list of routes

  Parameters:
    `processor` - new destination message processor

### removeRoute

    void removeRoute(MessageProcessor processor)

  Removes a message processor from the list of routes

  Parameters:
    `processor` - destination message processor to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.